---
title: Promoting yourself and others
description: Give visibility to hashtags, profiles, and posts.
menu:
  docs:
    weight: 60
    parent: user
---

## Featured links on your profile {#featured}

### Featured hashtags {#featured-tags}

{{< figure src="/assets/featured-tags.jpg" caption="A featured hashtag showing last usage date and total usage." >}}

You can choose to feature certain hashtags that you use often. Go to Settings &gt; Profile &gt; Featured hashtags to manage which hashtags you are currently featuring. Once featured, a link to the hashtag will be shown on your profile, with the date of the last time it was used in a status, as well as the total number of statuses in which it was used.

### Featured profiles {#featured-profiles}

{{< figure src="/assets/featured-profiles.jpg" caption="Four randomly-selected featured profiles." >}}

You can choose to feature profiles of people that you are following. Go to that person's profile dropdown menu and click "Feature on profile". When you feature a profile, a link to their profile will appear on your profile, under a section titled "your choices". Up to 4 profiles will be shown at a time, and these profiles are selected randomly from your pool of featured profiles every time the page is loaded.

## Pinned posts {#pinned}

{{< figure src="/assets/pinned.jpg" caption="A pinned post by mastodon.social/@gargron" >}}

You can choose to feature up to 5 of your own public posts at the top of your profile. Go to the status dropdown menu and click "Pin on profile". When you pin a post, it will appear at the top of your "posts" tab, before all other chronological status updates.

## Profile directory {#directory}

{{< figure src="/assets/directory.jpg" caption="Profile directory as seen from mastodon.social" >}}

The profile directory shows all accounts that have opted into being shown in the directory, and can be used to quickly find profiles that you may be interested in following.

The profile directory can be sorted either by recent activity (the most recently published status), or by new arrivals (the most recently created accounts). The directory can also be filtered to show only local accounts, or to show all known accounts that your website is aware of.

Profiles appear as cards that include a user's display name, address, account bio, and some brief stats such as how many posts they've published, how many followers they have, and the time of their last published status.

