---
title: Mastodon（マストドン）とは？
description: Mastodonのドキュメントに、ようこそ！
menu:
  docs:
    weight: -99
---

## マイクロブログとは？ {#microblogging}

ブログを行うことは、ウェブサイトにおいて記事を更新して掲載する行為と言えます。それと似ていて、**マイクロブログ**を行うことは、自分に関して刻一刻と変化する小さな情報を更新して掲載する行為と言えるでしょう。あなたはテキストの投稿を掲載できます。さらに画像や音声、動画、投票を添付することもできます。Mastodonでは、友達をフォローしたり、新しい友達を見つけたりできるでしょう。

## フェデレーションとは？ {#federation}

**フェデレーション**（Federation；連合）は分権組織の一つの形です。単一の中央サービスにすべての人が参加する替わりに、フェデレーションは複数のサービスからできていて、それぞれのサービスでは何人もの人が参加できます。

| 中央集権の度合い | 例 |
| :--- | :--- |
| 中央型 | Twitter, Facebook, Instagram |
| 連合型 | 電子メール, XMPP, 電話網, 手紙 |
| 分散型 | BitTorrent, IPFS, Scuttlebutt |

Mastodonのウェブサイトは単独で運用できます。従来のウェブサイトとまるっきり同じように、人々は、Mastodonのウェブサイトの一つに登録してメッセージを投稿したり写真をアップロードしたりすることで互いにおしゃべりします。そして従来のウェブサイトとは*異なり*、Mastodonのウェブサイトは相互運用できるため、それぞれのMastodonの間でユーザーは相互に通信できます。つまり、あなたのGmailにあるアカウントからOutlookやFastmail、Protonmail、またはその他のメールプロバイダーにあるアカウントの誰かに、その宛先の電子メールアドレスを知ってさえいれば電子メールを送信できるように、**そういったアドレスを使ってあなたはどのウェブサイトにいるどんなユーザーに対してもメンションやメッセージを送ることができるのです**。

{{< figure src="/assets/image%20%289%29.png" caption="中央型（左）、連合型（中央）、分散型（右）" >}}

## ActivityPubとは？ {#fediverse}

Mastodonはフェデレーションを実装するために、標準化され開かれたプロトコルを使っています。そのプロトコルを**ActivityPub**（アクティビティパブ）と言います。ActivityPubを介してフェデレーションを同じように実装するすべてのソフトウェアは、Mastodonのウェブサイトが互いに通信するように、Mastodonとシームレスに通信できます。

**フェディバース**（Fediverse＝federated universe；フェデレーテッド・ユニバース；連合全域）は、ActivityPubおよびインターネット（World Wide Web）を介して相互に通信できるウェブサイト全体に対する名称です。つまりフェディバースはすべてのMastodonサーバーだけでなく、他の方法で実装したサーバーも含みます。

* Pleroma：モジュラー形式のマイクロブログ・エンジン
* Pixelfed：メディア投稿を共有でき、その共有を楽しめる、連合型の画像共有プラットフォーム
* Misskey：カスタマイズ可能なウィジェットを設置しながらマイクロブログが行える
* PeerTube：チャンネルに動画をアップロードできる
* Plume：より長い体裁の記事を掲載できる
* 他にも、上記以外のものや個人のウェブサイトなど、もっとたくさんのものを含みます！

フェディバースはそれ自体のブランドを持っていないため、「フェディバースにいる、わたしをフォローしてください」よりも「Mastodonにいる、わたしをフォローしてください」といった声をより多く聞くかもしれません。しかし技術的には、前者のほうがより正確です。

## 実際に使うときの影響 {#implications}

### サービスプロバイダーとポリシーの選択 {#choice}

Mastodonはウェブサイトを動かすために使われる、単なるソフトウェアです。そのためMastodonを使ってみようと思ってるユーザーは、既存のMastodonのウェブサイトをサービスプロバイダーとして選択できますし、もし望むのであれば自分でMastodonのウェブサイトを作ることもできます。

Mastodonプロジェクトでは、推奨するサービスプロバイダーの一覧を[joinmastodon.org](https://joinmastodon.org)に掲載しています。その一覧はカテゴリーや言語別に並べ替えられます。一部のウェブサイトは、閲覧に注意を要する可能性のあるコンテンツに対してきちんとタグ付けすることを要求するような、推奨基準を超えるモデレーションポリシーを持っているかもしれません。また別の一部のウェブサイトは、より緩いモデレートポリシーを持っているかもしれません。しかし、joinmastodon.orgの一覧に掲載しているすべてのウェブサイトは、[Mastodonサーバー規約（Mastodon Server Covenant）](https://joinmastodon.org/covenant)に則ることに同意しています。その規約は、ヘイトスピーチに対して積極的にモデレートすること、バックアップを毎日取ること、緊急時に対応できる管理者が少なくとも1人はいること、ウェブサイトを閉鎖する場合は少なくとも3か月前にその予定を通知することです。

> 参加者全員が安全と感じるられるコミュニティを維持するのは簡単なものでありません。Mastodonは、それを実現するための多くの基礎的な枠組みとツールを提供することで、特定の営利団体からコミュニティー自体へ移行をもたらす力に変えます。
>
> -- Eugen Rochko, 2018年7月6日, [「Mastodonの檻」](https://blog.joinmastodon.org/2018/07/cage-the-mastodon/)

> 中央集権型のソーシャルメディアプラットフォームは階層構造を持っていて、その開発と方向性はもちろん、ルールとその施行についてもCEOによって決定されます。（中略）分権組織型のネットワークは、本質的に特定のプラットフォームによって所有されることはなく、プラットフォーム所有者による制御を故意に手放します。
>
> -- Eugen Rochko, 2018年12月30日, [「なぜ分権組織が重要なのか？」](https://blog.joinmastodon.org/2018/12/why-does-decentralization-matter/)

### 資金調達と収益化 {#monetization}

Mastodonのウェブサイトは、さまざまな人や組織によって完全に独立して運用されています。また、Mastodonはソフトウェアとして収益化戦略を実装していません。

一部のサーバー運用者は有料アカウントの提供を選択します。一部のサーバー運用者は既存のインフラストラクチャを利用できる企業です。一部のサーバー運用者はPatreonやその類似のサービスを介して、そのサーバーのユーザーからのクラウドファンディングに頼ります。一部のサーバー運用者は自分達とおそらくその周りの友人に対する個人的なサーバーであるために、自費だけでまかなっています。そういうわけで、もし自分のアカウントが所属しているサーバーを応援したい場合、寄付する方法が提供されているかを確認してみてください。

なお、Mastodonの開発も同じように、[Patreon](https://patreon.com/mastodon)と[OpenCollective](https://opencollective.com/mastodon)を介してクラウドファンディングを行っています。**ベンチャーキャピタルは関与していません。**

> 私の意見では「即時的に、公衆の、世界規模のメッセージ送信とそのやり取り」について、はっきりと言えば*開かれている*べきです。独立した組織や自治できる主体との間で分散されるべきですし、利益のために会話のやり取りを悪用することのないように公益事業であるべきなのです。
>
> -- Eugen Rochko, 2018年3月3日, [「Twitterは公益事業ではない」](https://blog.joinmastodon.org/2018/03/twitter-is-not-a-public-utility/)

### 異なるソフトウェア間の相互運用性 {#interoperability}

具体的に考えてみましょう。TwitterのアカウントからInstagramのユーザーをフォローし、Twitterのアカウントを離れずに、Instagramのユーザーの写真にコメントできるかを想像してみてください。もしTwitterとInstagramが同じプロトコルを使用する連合型のサービスであった場合、それは可能でしょう。逆にMastodonのアカウントを持っていれば、**他の互換性のあるウェブサイトと会話のやり取りができます。** _**その際、それらのウェブサイトは互換性さえあれば、Mastodonで動いていなくてもいいのです。**_ 必要なことのすべては、ステータスの更新に関して作成と相互作用ができるように、そのソフトウェアがActivityPubプロトコルの同じサブセットに対応していることです。

Mastodonとの相互運用に必要な技術仕様ついて、詳しくは[ActivityPub](spec/activitypub)、[WebFinger](spec/webfinger)、および[Security](spec/security)を参照してください。ActivityPubで何ができるかについて、詳しくは[ActivityPubが未来である理由](https://blog.joinmastodon.org/2018/06/why-activitypub-is-the-future/)を参照してください。

> これらのプラットフォームはすべて異なっており、それらは異なる要求を解決するためにあります。それでも基盤はすべて同じです。人々は、他の人からの投稿の受信して講読します。そして、それらはすべて互換性があります。
>
> -- Eugen Rochko, 2018年6月27日, [「ActivityPubが未来である理由」](https://blog.joinmastodon.org/2018/06/why-activitypub-is-the-future/)

### 自由で制限のないソフトウェア {#libre}

独占的なサービスとは異なり、**誰もがMastodonのソースコードを実行、調査、検査、複製、変更、配布、再利用できます。そして、どんな派生物もこの自由性を継承しなければならないという条件が付きます。** Mastodonのユーザーがサービスプロバイダーを自由に選択できるのと同じように、誰もがMastodonに機能を提供したり、さまざまな機能を含む改造版のMastodonを公開したりできます。これら改造版はソフトウェアフォークとも呼ばれ、元のMastodonプロジェクトと同じ自由性の継承が求められます。たとえば、[glitch-soc](https://glitch-soc.github.io/docs/)はさまざまな実験的機能を追加したソフトウェアの配布物です。この他にも多くの個別のフォークが存在し、おそらくテーマが少し異なるか、コードベースの小さな変更が含まれています。Mastodonはあなたの自由を尊重し、制限のないソフトウェアなので、このような個人的な使用は許可されるだけでなく奨励されます。

> 究極の力は、自分の居場所やコミュニティを作成する能力と、それらが適切に形作られるようにソフトウェアを変更する能力を人々に与えることです。その際、異なるコミュニティにいる人々が互いに影響する場合でも、その能力が犠牲になってはいけません。
>
> -- Eugen Rochko, 2017年2月20日, [「コミュニティを構築する力：Mark Zuckerbergへ返答」](https://blog.joinmastodon.org/2017/02/the-power-to-build-communities/)

> 分権組織はデジタル世界におけるユーザーの多様性を表していて、健全なエコシステムの証明です。フェディバースのような分権化されたネットワークは、さまざまなユーザーインターフェースやソフトウェア、そして共存および協同するためのさまざまな統治形式を許容します。
>
> -- Eugen Rochko, 2018年12月30日, [「なぜ分権組織が重要なのか？」](https://blog.joinmastodon.org/2018/12/why-does-decentralization-matter/)

## 次に進もう {#next-steps}

Mastodonの使い方を知る：

{{< page-ref page="user/signup" >}}

Mastodonのインストール方法を学ぶ：

{{< page-ref page="admin/prerequisites" >}}

Mastodonのアプリを作り方を学ぶ：

{{< page-ref page="client/intro" >}}

Mastodonのバックエンドと貢献方法について知る：

{{< page-ref page="dev/overview" >}}

{{< hint style="info" >}}
**［翻訳状態］** 日本語版は、英語版の「What is Mastodon?」（Mastodonとは？）と「Using Mastodon」（Masotodonを使う）が訳されている状態です（2020年9月27日）。他の項目や最新の情報については、[英語版](../)を参照してください。
{{< /hint >}}
