---
title: その他の設定
description: 新しいユーザーの招待、連絡先を並べ替え、安全なアカウント。
menu:
  docs:
    weight: 80
    parent: user
---

## 招待リンクの作成 {#invites}

{{< figure src="/assets/image%20%2862%29.png" caption="設定で、人を招待するリンクを作成できる" >}}

招待リンクを作成して他の人に配ることができます。一部のサーバーではアカウンを登録するために招待を必要とします。招待リンクを作成するときに、そのリンクの使用回数の最大値や有効期限を設定できます。招待リンクはいつでも無効にできます。

## フォローとフォロワー {#relationships}

{{< figure src="/assets/image%20%2849%29.png" caption="相互にフォローしているアカウントのうち、引っ越ししていな人を「最後の活動」で並び替えたところ" >}}

設定では、繋がりを管理できます。次に挙げるさまざまな基準に基づいて、あなたが繋がっているプロフィールをフィルターしたり並び替えて表示できます。

* **関係：** あなたのフォロー、フォロワー、または相互にフォローしているプロフィール。
* **状態：** プロフィールが現在リダイレクト済みとしてマークされているか（引っ越し済み）、されていないか（標準）。
* **活動：** 過去1か月の間にそのプロフィールが投稿したかどうか（投稿していないものは非アクティブ）。

特定のユーザーのフォローを解除したりフォロワーを外したりすることは、各チェックボックスにチェックを付けて、表見出しにあるボタンをクリックすることで可能です。

## アカウント設定 {#account}

アカウント設定から、メールアドレスの変更、新しいパスワードの設定、現在ログインしているセッションまたは認可済みアプリの取り消し、そして2要素認証を有効にできます。

## 本人証明 {#proofs}

プロフィール補足情報で[リンク検証](../profile#verification)を行ってrel=meリンクを設定することは、あなたの本人証明を行うための1つの方法です。しかし、マストドンはより一般的な証明プロバイダーのサブシステムにも対応しています。ただし現在、このサブシステムに対応しているIDプロバイダーはKeybaseのみです。

### Keybaseを使ったID検証 {#keybase}

{{< figure src="/assets/image%20%2860%29.png" caption="プロフィールにおける本人証明" >}}

はじめに、Keybaseに登録し、Keybaseアカウント上でGPG公開鍵を生成するかアップロードするかします。次に、「prove more identities（他のIDを証明する）」に進みます。そして、動ているあなたのサーバーを見つけてください。もし見つからない場合はKeybaseにその内容を問い合わせてください。Mastodonのドメインを選択し、ユーザー名を入力します。Mastodonアカウントで認可し、証明メッセージを投稿することで、あなたのIDを証明できます。これを一度行うと本人証明が確立され、KeybaseがIDを証明したことをプロフィールに表示します。

{{< hint style="danger" >}}
**Keybaseの検証は元に戻せません。** Keybaseは本人証明に変更不可能な署名チェーンを使用するため、KeybaseでIDを一度証明するとそれを削除できません。関連付けられた秘密鍵を使って取り消しメッセージに署名することでのみ、本人証明を取り消せます。
{{< /hint >}}
