---
title: 見たくないコンテンツへの対処
description: ソーシャルメディアをより快適に体験するため、見るものを制御しよう。
menu:
  docs:
    weight: 50
    parent: user
---

## 投稿のフィルター {#filters}

特定のキーワードやフレーズがあるステータスをフィルターすることが可能です。フィルターすることで、それらは自動的に見えなくなります。

{{< figure src="/assets/image%20%2848%29.png" caption="異なる場所で、さまざまなキーワードをフィルターしている例" >}}

フィルターを作成または管理するには、設定から「フィルター」を選択します。「新規フィルターを追加」ボタンを押して新しいフィルターを作成できますし、すでに登録しているフィルターを編集したり削除できたりします。登録済みのフィルターは表にまとめられます。

{{< figure src="/assets/image%20%2814%29.png" caption="フィルターは、有効期限、除外対象、サーバーからの配信削除、および指定した単語全体での一致を指定できる" >}}

フィルターには次の設定があります。

### キーワードまたはフレーズ {#filter-phrase}

これは一致させたい文字列です。キーワードはCW、メディアの説明、投票の選択肢を含め、どんなステータスの中身でも検索されるでしょう。

### 有効期限 {#filter-expire}

必要に応じて、有効時間を定めてフィルターを適用できます。期限切れのフィルターは自動的に削除されません。新しい有効期限を設定することで（または有効期限を「無期限」に戻すことで）再度有効にできます。

### 除外対象 {#filter-context}

フィルターが適用される場所を選択できます。

* ホームタイムライン ＝ 一致するステータスはホームフィードから削除されます。
* 通知 ＝ 一致する通知は表示されなくなります。
* 公開タイムライン ＝ 一致するステータスはローカルタイムライン／連合タイムラインに現れなくなります。
* 会話 = 一致するステータスはスレッドと詳細表示で隠されます。

### 隠すのではなく除外する {#filter-drop}

フィルターの実行は普段クライアント側で行われます。そのためフィルターを無効にすることで、フィルターされたステータスを再び表示できます。しかし「隠すのではなく除外する」を有効にすると、一致するステータスが完全に消えさり、ホームや通知に配信されなくなります。

### 単語全体にマッチ {#filter-whole}

フィルターは通常、単語の途中にあるかどうかに関係なく、該当の文字を含んでいるすべてのステータスに適用されます。「単語全体にマッチ」を有効にすると、スペースまたは英数字以外の文字の間にキーワードがある場合にのみフィルターが適用されます。

## ユーザーレベルで実行できること {#blocking-and-muting}

{{< figure src="/assets/image%20%2824%29.png" caption="ユーザープロフィールにあるドロップダウンメニューでは、さまざまなことを設定できる" >}}

### ブーストを非表示 {#hide-boosts}

誰かのブーストを隠したい場合、ホームフィードでそのブーストを見えなくできます。この選択肢は、現在フォローしているユーザープロフィール上でのみ表示されます。

### ミュート {#mute}

{{< figure src="/assets/image%20%2852%29.png" caption="ミュートされたアカウントの例" >}}

ミュートするときは、通知をミュートするかどうかを選択できます。通知をミュートしないミュートは、次の場面でそのユーザーを隠します。

* ホームフィードで、そのユーザーが見えなくなります。
* そのユーザーの投稿を他の人がブーストしても見えなくなります。
* そのユーザーに他の人がメンションしている投稿は見えなくなります。
* 公開タイムラインでそのユーザーが見えなくなります。

そのユーザーからの通知もミュートすることを選択した場合、上記に加えてそのユーザーからの通知を見えなくなります。

ミュートされたユーザーはミュートされていることを知る方法を持ちあわせていません。

### ブロック {#block}

{{< figure src="/assets/image%20%2836%29.png" caption="ブロックされたアカウントの例" >}}

ブロックは、次の場面でユーザーを隠します。

* ホームフィードでそのユーザーが見えなくなります。
* そのユーザーの投稿を他の人がブーストしても見えなくなります。
* そのユーザーに他の人がメンションしている投稿は見えなくなります。
* 公開タイムラインでそのユーザーが見えなくなります。
* そのユーザーからの通知が見えなくなります。

これに加えて、ブロックされたユーザー側では：

* そのユーザーは、あなたのフォローが強制的に解除されます。
* そのユーザーは、あなたをフォローできなくります。
* そのユーザーは、あなたの投稿が誰かにブーストされても見えなくなります。
* そのユーザーは、公開タイムラインであなたを見つけられなくなります。

もしあなたとブロックされたユーザーが同じサーバーにいる場合、ブロックされたユーザーがログインしている間、あなたのプロフィール上であなたの投稿を見られなくなるでしょう。

### サーバー全体をブロック {#hide-domain}

![](/assets/image%20%2861%29.png)

サーバー全体をブロックする場合：

* 公開タイムライン上で、そのサーバーからの投稿が見えなくなります。
* あなたのホームフィードで、そのサーバーにいる人の投稿のブーストは見えなくなります。
* そのサーバーからの通知は見えなくなります。
* そのサーバーにいるフォロワーと思われる人すべてをなくします。

## 問題のあるコンテンツをモデレーターに通報する {#report}

{{< figure src="/assets/image%20%283%29.png" caption="通報のモーダル画面では、具体的なステータスの選択、コメントの追加、レポートの転送ができる" >}}

あなたのウェブサイトのルールに違反しているステータスまたはユーザーを見つけた場合、あなたのサイトのモデレーターにそのユーザーを通報できます。ユーザープロフィールのドロップダウンメニューまたはステータのスドロップダウンメニューから「通報」の選択肢をクリックすると、通報のモーダル画面が開きます。ここでは、このアカウントを通報する理由についてのコメントを追加できます（追加するべきです）。アカウントを通報する理由について追加の文脈を示すために、はっきりと問題のあるステータスを指定できます。また、その行為がリモートのウェブサイトのルールに違反している場合、そのサイトのモデレーターに通報を転送することもできます。
