---
title: ネットワーク機能の使用
description: どんなサーバーにいる人に対してもフォローしたり、おしゃべりできます。
menu:
  docs:
    weight: 40
    parent: user
---

## 公開タイムラインに流れるコン​​テンツの閲覧 {#timelines}

{{< figure src="/assets/image%20%2830%29.png" caption="公開タイムラインを流れる投稿" >}}

興味のありそうなコンテンツを発見できるように、Mastodonはすべての公開投稿を見る手段を提供しています。とはいっても、全部のサーバー間で包括的にステータスが共有されているわけではないため、*すべての*公開投稿を見る方法はありません。**連合タイムライン**を閲覧すると、あなたのいるサーバーが認識しているすべての公開投稿を表示できます。サーバーが投稿を認識する方法はさまざまですが、その大部分は、同じサーバー上にいる他のユーザーがフォローしている人々の投稿でしょう。

あなたのいるサーバーで作成された公開投稿のみを表示するために、連合タイムラインをフィルターする手段があります。それが**ローカルタイムライン**です。ここでの「ローカル」とは地理的な場所ではなく、自分のいるサーバーを指します。

## 投稿への関わり {#actions}

{{< figure src="/assets/image%20%2821%29.png" caption="タイムラインにおける各ステータスをクリックすることで、トゥートの詳細が表示される" >}}

タイムラインを流れている投稿に対して直接クイックアクションを実行できます。また投稿をクリックすることで、トゥートの詳細を表示できます。ここでは正確な投稿日時、ブーストやお気に入りの数、そしてもし返信が付いていれば連なって表示されます。投稿に対して次の操作を実行できます。

* **返信（＝リプライ）** は、矢印のアイコンをクリックします。返信のトゥートは、返信先の投稿の下に連なって表示されます。
* **ブースト**は、循環矢印のアイコンをクリックします。その投稿はあなたのプロフィール上で再共有されます。
* **お気に入り（＝フェイバリット）** は、星のアイコンをクリックします。その投稿はお気に入りの一覧に追加され、お気に入りしたという通知がその著者に配信されます。
* **ブックマーク**は、リボンのアイコンをクリックします。通知を配信せずに、その投稿はブックマークの一覧に非公開で追加されます。
* このほかに選択できる**メニュー**は、省略のアイコンをクリックして実行します。

## 通知 {#notifications}

{{< figure src="/assets/image%20%2850%29.png" caption="通知欄" >}}

他の人々があなた自身やあなたの投稿に関わるとき、その関わり方の種類に応じて通知が届きます。通知欄では、そのアカウントに関わるすべての通知を表示したり、次のように特定の種類の通知をフィルターして表示できます。

* **メンション：** ある投稿で、誰かがあなたにメンションしたときに受信します。
* **お気に入り：** あなたが投稿したものから、誰かがその一つをお気に入りしたときに受信します。
* **ブースト：** あなたが投稿したものから、誰かがその一つをブーストしたときに受信します。
* **投票：** あなたが票を入れた投票や、あなたが作成した投票が終了したときに受信します。
* **フォロー：** あなたのプロフィールを誰かがフォローしたときに受信します。

## プロフィールのフォロー {#follow}

![](/assets/image%20%2811%29.png)

あなたがいるサーバーのウェブインターフェース、またはモバイルアプリなど、そのアプリのユーザーインターフェース内で人に出会いさえすれば「フォロー」ボタンをクリックするだけです。その人があなたのサーバー上にいるかいないかについての違いには気づかないでしょう。

しかしながら、他のサーバーに登録している誰かの公開プロフィールに出くわした場合に支障をきたします。そのサーバーは単に、あなたを匿名の訪問者と見なすからです。でも心配はありません！ そのプロフィールのURL、またはそのプロフィールの投稿1つのURLを単純にコピーしてください。そして検索欄で、そのURLを貼りつけましょう。

別のMastodonのサイトにある公開ページを表示している場合、[「別のMasotodonサイト上での遠隔操作」](../external/#interact)を参照してください。

## 検索 {#search}

{{< figure src="/assets/image%20%2819%29.png" caption="検索機能はサイドバーから使える" >}}

Mastodonにおける基本的な検索は、特定のハッシュタグを含むトゥートを見つけたり、URLやアドレスを知っている場合にユーザーやステータスを直接読み込んだりすることを、ログインしたユーザーに可能にさせます。ある用語を検索することで、そのユーザー名または表示名にその用語が含まれているプロフィールと、その用語に一致または含んだハッシュタグを表示します。

{{< figure src="/assets/image%20%2839%29.png" caption="トゥートのURLから直接その投稿が読み込まれる例" >}}

{{< figure src="/assets/image%20%2823%29.png" caption="「cats」を検索したときに表示されるアカウントの例" >}}

{{< figure src="/assets/image%20%2827%29.png" caption="「cats」を検索したときに表示されるハッシュタグの例" >}}

管理者は全文検索のインストールを選択することもできます。Mastodonの全文検索は、自分の投稿、お気に入り、ブックマーク、自分宛のメンションから検索結果を返すことをログインしたユーザーに可能にさせます。データベース全体から任意の文字列を検索することは意図的にできないようにしています。これは、論争の的になる用語を検索して言い争いしている人々を見つけ、誹謗するような機会を減らすためです。

次の演算子に対応しています。

* **`"完全一致する語句"`** は、その用語を二重引用符で囲むことで検索できるようになります。たとえば、くく鳴している動物をいることをはっきり伝えたときの投稿を見つけるために`"look at my cluckers"`（`"ねえ、くく鳴声の主たちを見て"`）のように使い、直接一致するもののみを検索できるようにします。
* **`-除外`** はマイナス記号が前についた用語を除外します。これは、猫以外の動物についての投稿を検索するために`animals -cats`（`動物 -猫`）のように使い、特定の用語を除去できるようにします。
* **`+包含`** はプラス記号の後に用語を検索に包含します。これは、猫と犬の両方についての投稿を検索するために`cat +dog`（`猫 +犬`）のように使い、複数の用語が必ず含まれるものを検索できるようにしす。

## 直接かわされる会話のやり取り {#direct}

{{< figure src="/assets/image%20%2812%29.png" caption="ダイレクトメッセージにおける、会話のやり取りの一覧" >}}

Mastodonにおけるダイレクトメッセージは、「ダイレクト」の公開範囲が選択された単なるトゥートです。公開範囲は投稿ごとに選択できるため、会話のやり取りにおいて後からプライバシーレベルを変更できます。ダイレクトメッセージの欄では現在、ダイレクトの投稿を含んだすべての会話の一覧が表示されます。会話の一つをクリックすると、関連するやり取りが読み込まれます。

{{< figure src="/assets/image%20%2857%29.png" caption="あるダイレクトメッセージ。会話のやり取りが表示される" >}}

## リストタイムライン {#lists}

リストは、ホームタイムラインの部分集合です。リストを作って名前を付け、そのリストにフォローしているユーザーを追加できます。

![](/assets/image%20%2828%29.png)

特定のリストを開くと、そのリストのタイムラインが読み込まれます。リストタイムラインには、そのリストのメンバーによる投稿と、あなたまたはリストの他のメンバーへの返信のみが含まれます。

{{< figure src="/assets/image%20%285%29.png" caption="リストタイムライン" >}}
