---
title: トゥートの投稿
description: かつてないほど便利に、あなたの思いを共有できます。
menu:
  docs:
    weight: 30
    parent: user
---

{{< figure src="/assets/image%20%2859%29.png" caption="CW（コンテンツ警告）の記入欄を伴った投稿欄" >}}

## テキスト {#text}

それぞれのステータス更新における本文は、テキストフィールドを使って構成されます。標準の文字数制限は500文字です。

### リンク {#links}

{{< figure src="/assets/image%20%287%29.png" caption="リンクはhttp(s)://で始まる必要があり、長さに関係なく23文字として数えられる" >}}

投稿にリンクを含めるなら、それは`http://`または`https://`で始まる必要があります。すべてのリンクは実際の長さに関係なく23文字として数えられるので、文字を失わないようにするためのリンク短縮サービスを使う必要はありません。実際、リンク短縮サービスを使うことは積極的に思い留まらせるでしょう。

### メンション {#mentions}

{{< figure src="/assets/image%20%2820%29.png" caption="メンションするとき、ローカルユーザーとリモートユーザーの両方が候補に挙がる" >}}

ユーザーの完全なアドレス（たとえば`@alice@example.com`）を入力することで、メンションできます。注意点は、ユーザー名が`word`であるローカルユーザーが存在した場合、`@word`のみの使用でそのユーザーへのメンションとして解釈されることです。なお、ユーザー名の部分のみが文字数制限の文字数に数えられ、ドメインは数えられません。

### ハッシュタグ {#hashtags}

{{< figure src="/assets/image%20%2825%29.png" caption="ハッシュタグは、使用頻度をもとに自動的に提案される" >}}

`#hashtag` のようなハッシュタグを使えます。そのハッシュタグを検索する人は誰でも、あなたの投稿を見つけられるようになります。ハッシュタグには英数字とアンダースコアを含められますが、数字のみでは構成できません。

※訳注：実際のところ、ハッシュタグの文字として日本語も使えます。また、公開投稿のハッシュタグのみが検索できます。

### カスタム絵文字 {#emoji}

{{< figure src="/assets/image%20%2838%29.png" caption="この一画ではカスタム絵文字が並べられている" >}}

それぞれのサーバーはDiscordのように、カスタム絵文字を一揃い提供していて、この絵文字を使うことができます。 `:thounking:` などのショートコードを書くか、または投稿欄にある顔の絵文字（「絵文字を追加」）をクリックして「カスタム」カテゴリから見つけることで、カスタム絵文字を使うことができます。「絵文字を追加」では、Unicodeで規定されている絵文字を見つけたり検索したりもできます。

## 添付 {#attachments}

ステータスにはファイルまたは投票のどちらかを添付できます。

### ファイル {#media}

{{< figure src="/assets/image%20%2844%29.png" caption="メディアを添付する際のサムネイル。削除、編集、そして閲覧注意とする選択肢も表示される" >}}

投稿にファイルを添付するには、ペーパークリップのアイコンをクリックします。次のファイルを添付できます。

* **画像**（PNG、JPG、GIF）は**8MBまで**です。画像は（1280x1280画像で表示できる）1.6メガピクセルに縮小されます。そして4つまで添付できます。
  * **アニメーションGIF**は、Imgur／Gfycat（**GIFV**）のように無音のMP4に変換されます。無音のMP4とWebMをアップロードすることもでき、これらは同じ方法で処理されます。
* **動画**（MP4、M4V、MOV、WebM）は**40MBまで**です。動画は最大ビットレートが1300kbps、フレームレートが60fpsのH.264形式のMP4に変換されます。
* **音声**（MP3、OGG、WAV、FLAC、OPUS、AAC、M4A、3GP）は**40MBまで**です。音声はV2 VBR（約192kbps）を使ってMP3に変換されます。

#### メディアの編集 {#edit}

{{< figure src="/assets/image%20%2826%29.png" caption="「メディアを編集」では、メディアの説明文を加えたり、プレビューサムネイルの焦点を選択できる" >}}

添付サムネイルの「編集」リンクをクリックすることで、メディアに説明を追加したり、焦点を変更したりするためのモーダル画面を表示できます。必須ではありませんが、メディアの内容を簡潔に説明した文章を追加することは良い考えです。これらの説明文は、何らかの理由でメディアを表示できなかったとき、またはスクリーンリーダーやその他の支援技術によってアクセスしたときに表示されます。また、焦点の設定も選択できます。プレビューサムネイルのアスペクト比が16：9で表示されていないときに、そのサムネイルの見栄えをより良くできます。

### 投票 {#polls}

{{< figure src="/assets/image%20%2841%29.png" caption="2つの選択肢のどちらかを選び、期限が1日の投票" >}}

棒グラフのアイコンをクリックすることで、投稿に投票を添付できます。

* 4つまでの選択肢を追加できます。各選択肢の長さは25文字までです。
* 投票は初期設定で、一つの選択肢を選ぶ形式になっています。ラジオボタンをクリックすることで、選択肢を複数選択できるチェックボックスに切り替えられます。
* 投票期限は5分、30分、1時間、6時間、1日、3日、または7日のいずれかを設定できます。

## 公開範囲 {#privacy}

| 範囲             | 公開タイムライン    | パーマリンク       | プロフィールでの表示 | ホームフィード     |
| :-------------- | :-------------- | :-------------- | :-------------- | :-------------- |
| 公開             | はい             | はい             | はい             | はい             |
| 未収載           | いいえ            | はい             | はい             | はい             |
| フォロワー限定     | いいえ            | 同じサイトでログインしているとき | アプリ内か、ログインしているとき | はい |
| ダイレクト        | いいえ            | ログインしていてメンションされているとき | アプリ内か、ログインしているとき | いいえ |

4つの異なるプライバシーレベルで、投稿を掲載できます。

### 公開 {#public}

初期設定ではこの「公開」が選択されます。

* ログインしなくても、パーマリンクを通して誰でもあなたの投稿を見られます。
* 投稿はアプリ内の公開タイムラインに表示されます。
* フォロワーは彼らのホームフィードであなたの投稿を受け取り、メンションされた人たちは通知欄でその投稿を受け取ります。
* どのユーザーもホームフィードにその投稿をブーストできます。

### 未収載 {#unlisted}

次の違い以外は「公開」とまったく同じです。

* マストドンの公開タイムラインにあなたの投稿が表示されません。

### フォロワー限定 {#private}

より限定された配信の選択です。

* パーマリンクであなたの投稿を見るには、あなたをフォローしている、またはメンションされたユーザーと同じウェブサイトにログインしている必要があります。
* あなたのプロフィールを閲覧しているフォロワーとメンションされている人を除いて、その投稿は表示されないでしょう。
* フォロワーはホームフィードでその投稿を受け取り、メンションされた人は通知欄で投稿を受け取ります。
* あなた以外は投稿をブーストできません。

{{< hint style="warning" >}}
私的な（フォロワー限定の）投稿を効果的に使うには、**アカウントに鍵をかける（＝承認制アカウントにする）** 必要があります。そうしないと、あなたの古い投稿を見るために誰かがフォローしてくるかもしれません。
{{< /hint >}}

{{< hint style="danger" >}}
マストドンにおける投稿のプライバシーはアカウントごとではなく投稿ごとに設計されているため、**過去の公開投稿を非公開にする方法はありません。**
{{< /hint >}}

### ダイレクト {#direct}

メンションされたユーザーのみに投稿を送信します。

* パーマリンクでその投稿を見るには、メンションされた人と同じウェブサイトにログインする必要があります。
* メンションされた人以外のユーザーがウェブサイトにログインしていてもその投稿を表示しません。
* メンションされた人は通知欄でその投稿を受け取ります。ホームタイムラインには表示されません。
* 投稿はブーストできません。

{{< hint style="warning" >}}
**ダイレクトメッセージを通して危険を伴う機密の情報を共有してはいけません。** Mastodonは、SignalやWireのような暗号化されたメッセージングアプリではないのです。つまり、送信先と受信先のサーバーのデータベース管理者はその内容を見ることができます。フォーラムのPMやDiscordのPM、TwitterのDMを使うときと同じ慎重さを持ってダイレクトを使ってください。
{{< /hint >}}

## コンテンツ警告と閲覧注意 {#cw}

{{< figure src="/assets/image.png" caption="「閲覧注意」としてマークされていて、「コンテンツ警告」を伴っているステータス" >}}

Mastodon以外のソーシャルネットワークでは見たことのないと思われる機能の1つとして、投稿にコンテンツ警告（CW；Content Warning）を付ける機能を持っています。コンテンツ警告が設定されているとき、ステータスのコンテンツは初期設定で折りたたまれ、「もっと見る」というラベルが付いたボタンのみが表示されます。これは、電子メールの件名や「続きを読む」の区切りと同じです。投稿の概要や件名を追加したり、長い投稿を折りたたむためだったり、そのほか投稿の本文に前後関係やネタを含んだりするときに使えます。

メディアが添付されるとき、「メディアを閲覧注意（＝センシティブコンテンツ）にする」ことができるチェックボックスが表示されます。これを選択すると初期設定では、メディア全体をぼかしたサムネイルの後ろにそのメディアが隠れます。投稿にコンテンツ警告（CW）を追加すると、その投稿のメディアには「閲覧注意」が自動的に設定されます。
