---
title: 環境の設定
description: あなたの好きなようにカスタマイズできます。
menu:
  docs:
    weight: 70
    parent: user
---

## ユーザーインターフェースのカスタマイズ {#interface}

### テーマの選択 {#theme}

Mastodonのデフォルトはダークテーマですが、ライトまたはハイコントラストのテーマも選択できます。

{{< figure src="/assets/image%20%2834%29.png" caption="Mastodonのライトテーマ" >}}

### レイアウトの選択 {#layout}

Mastodonは初期設定で、単純なシングルカラム（＝1つの縦列）レイアウトになっています。その左側がトゥートするための領域であり、右側がカラム内容を変更するための切り替えメニューを持っています。

上級者向けウェブインターフェース（＝上級者向けUI）を有効にすることも選択できます。これを有効にすると、複数のカラムを同時に固定して表示できます。

{{< figure src="/assets/image%20%2832%29.png" caption="上級者向けウェブインターフェース" >}}

どちらのインターフェースでも、新しい投稿がされると、その更新が自動的に読み込まれます。新着件数をカラムの一番上にバナー状のボタンとして表示する、手動更新モード（＝スローモード；Slow Mode）を有効にすることもできます。このときは、そのバナーをクリックしたときのみ読み込まれるでしょう。

アクセシビリティ上の理由から、アニメーションGIFの自動再生は初期設定で無効にしています。もしアニメーションを見たいなら、アニメーションGIFを有効にできます。また、UIにおけるアニメーションの動きを減らすこともできます。

トレンドタグは、上級者向けUIではスタートのカラムの下に、簡易UIではカラム切り替えメニューの下に表示されるか、または隠されています（表示するのに十分な余白領域がある場合にのみ表示されます）。

### 確認ダイアログ {#confirm}

特定の操作を実行する前に、その確認を行うことを選択できます。現在、次の操作を実行する前に確認を行うことを設定できます。

* フォローの解除
* ブースト
* 削除

### 閲覧注意コンテンツ {#sensitive}

初期設定において、閲覧注意（＝センシティブ）としてマークが付けられたメディアは、クリックするまで覆われてしまい、その後ろに隠れてしまいます。閲覧注意のマークが付けられているかどうかに関係なく、この覆われた後ろにあるメディアを常に表示または非表示にすることも選択できます。

隠されたメディアや読み込むことができなかったメディアに、BlurHashアルゴリズムによって処理された色付きの階調を使います。画像の色を使っていますが、詳細をぼかすわけです。この階調を使うことを無効にもできます。

{{< figure src="/assets/image%20%286%29.png" caption="ぼかしたサムネイルの例" >}}

コンテンツ警告を伴う投稿は初期設定で折りたたまれますが、その警告を常に展開して完全な投稿を表示することも選択できます。

## 通知の制御 {#notifications}

### メールの送信 {#email}

マストドン内で受け取る通知の種類に応じて、メールで通知することを選択できます。次の通知の種類で有効にできます。

* フォロー
* フォローリクエスト
* ブースト
* お気に入り
* メンション

ダイジェストメールを有効にすることもできます。これにより、長期間使っていないときに受信した通知の概要が分かります。

### 特定の通知のブロック {#hide-notifications}

フォローしていない人やフォロワー以外の人からの通知を受信しないように選択できます。これにより、返信、お気に入り、ブースト、その他のやり取りが表示されなくなります。

フォローしていない人からダイレクトメッセージを受信したときに通知を受信しないように選択することもできます。

## その他、選択できること {#misc}

検索エンジンによるインデックスを拒否すると、`noindex`フラグが公開プロフィールと各ステータスページに追加されます。

繋がり（＝あなたのネットワーク）を隠すと、フォローリストとフォロワーリストが非公開になります。

{{< figure src="/assets/image%20%284%29.png" caption="繋がりを非表示にすることを選択したプロフィール" >}}

複数回ブーストされた投稿をフィードの上部に再度表示したい場合は、タイムラインにおける「ブーストをまとめる」を無効にすることで可能になります。

### 初期設定での投稿 {#posting}

投稿のプライバシーは初期設定で「公開」になっています。その代わりに、新しい投稿を未収載またはフォロワー限定にする初期設定を選択できます。投稿のプライバシーレベルの説明については、[「トゥートの投稿」における「公開範囲」の項](../posting#privacy)を参照してください。

初期設定では、投稿する際の言語は自動的に検出されます。しかしこの検出は不正確であり、間違っている可能性があります。
特定の言語で主にまたは必ず投稿する場合は、その言語を設定することをおすすめします。

閲覧注意のメディアを頻繁に投稿する場合は、メディアを常に閲覧注意としてマークを付ける選択もできます。

### 言語による公開タイムラインのフィルター {#languages}

公開タイムラインを閲覧しているときに、特定の言語で検出した投稿のみを表示するように選択できます。しかしながら、その言語の検出は非常に不正確であるため、無効にしたはずの言語の投稿が表示されたり、検出した言語の投稿を見逃したりする可能性があることに注意してください。
