---
title: 自分のサーバーを動かすこと
description:
menu:
  docs:
    weight: 9999
    parent: user
---

## なぜ自分のMastodonサーバーを動かしたいのか？

* 他の人のルールや気まぐれの対象となることなく、ウェブ上であなた自身の声を完全に制御できます。あなたのサーバーはあなたの所有物であり、あなたが決めたルールを持っているわけです。そのサーバーはあなたが続けたい限り存続します。
* あなた自身のサーバー上にあなたは*孤立されません*。他のサーバーにいるどんな人もフォローでき、その人たちもあなたをフォローできます。そして同じサーバーにいるかのようにメッセージを交換できるのです。
* サーバーにおける登録を唯一あなただけに制限して個人の（マイクロ）ブログのように運用するか、または家族や友人への招待のみにしてコミュニティを維持するか、誰でも登録できるサーバーとして運用するか。それはあなた次第です！

{{< hint style="warning" >}}
公共のインターネットサービスの提供はモデレーション作業やコミュニティ管理を伴います。そのような作業は、あなたのサーバーが大きくなるほど複雑になることに注意してください。
{{< /hint >}}

## とどのつまり、自分のMastodonサーバーを動かしたい

以下があなたに必要なものです。

* **ドメイン名。** これはあなたと他の人があなたのサーバーにアクセスする手段になり、あなたとあなたのユーザーがネットワーク上で識別されるのに必要です。

  * **入手方法：** Namecheap、Gandiなど、無数にあるドメイン名レジストラのいずれかより。ドメイン名の選択に応じて異なる費用が毎年かかります。
* **VPS。** インターネットに常時接続されていて、Mastodonコードを実行できるところです。

  * **入手方法：** DigitalOcean、Hetzner、Exoscale、Scalewayなど、無数にあるホスティングプロバイダーのいずれかより。ハードウェアの仕様に応じて異なる費用が毎月または毎年かかります。
* **電子メールプロバイダー**。 Mastodonは確認リンクとさまざまな通知を電子メールで送信しています。自分でSMTPサーバーをホストすることもできますが、サードパーティのプロバイダーを単に使うことよりも信頼性を持たせることははるかに難しいです。

  * **入手方法：** Mailgun、SparkPost、Postmark、Sendgridなど、SMTP APIを公開している無数にある電子メールホスティングプロバイダーのいずれかより。電子メールの送信量に基づいて毎月費用がかかります。
* 選択項目：**オブジェクトストレージプロバイダー。** Mastodonにおいて、あなたやあなたのユーザーがアップロードしたファイルは、そのサーバーが実行されているVPSのハードディスクドライブに保存されます。しかし、ハードディスクドライブは通常無制限に使えませんし、後でアップグレードすることは難しいです。オブジェクトストレージプロバイダーは実質的に無制限の従量制ファイルストレージを提供します。

  * **入手方法：** Amazon S3、Exoscale、Wasabi、Google Cloudなど、S3互換またはOpenStack Swift互換のAPIを持っているもの。ファイルの保存量とそれらがアクセスされる頻度に基づいて費用が毎月かかります。

上記の要件のすべてを満たさないかもしれませんが、この多くを処理してくれる**専用のMastodonホスティングプロバイダー**がいくつかあります。技術的なことは他の誰かにすべて処理してもらうことに関心があるなら、ホスティングプロバイダーを選択をしても良いでしょう。通常、あなたのサーバーのドメイン名は別途購入する必要があります。こういったホスティングプロバイダーの一部は次のとおりです。

{{< caption-link url="https://masto.host" caption="Masto.host" >}}

{{< caption-link url="https://hostdon.jp" caption="Hostdon" >}}

{{< caption-link url="https://app.spacebear.ee/mastodon" caption="Spacebear" >}}

管理されたホスティングによるサーバー構築は、ソフトウェアのインストールとメンテナンスの経験がないとか、またはそういったことを望まない人にとって最適です。しかしながら、自分で用意したハードウェア上で構成要素すべてを組むことで、スケーリング、パフォーマンス、およびカスタマイズをよりきちんと制御できます。

また、**DigitalOcean用のワンクリックインストールイメージ**を提供しています。これはあなたの選択肢に、DigitalOceanのドロップレットを加えます。インストール手順どおりに対話型のセットアップウィザードを進めるだけで、基本的なすべての機能を利用できるようになります。

{{< caption-link url="https://marketplace.digitalocean.com/apps/mastodon" caption="DigitalOcean用の、Mastodonワンクリックインストールイメージ" >}}

ただし、このワンクリックインストールイメージは単一マシンへのセットアップを前提としています。Mastodonはとてもよくスケールアウトされます。あなたの要求がマシン1台の能力を超えてくる場合、Mastodonは複数のアプリサーバー、バックグラウンドワーカー、複数のRedisバックエンド、PostgreSQLレプリカに分割できます。しかし、ワンクリックインストールではその手間を省くことはできません。

もしMastodonをインストールすることに興味がある場合は、次の手順に進んでください。

{{< page-ref page="admin/prerequisites" >}}
