---
title: アカウントの登録
description: あなたにとって最適なコミュニティを見つけよう。
menu:
  docs:
    weight: 10
    parent: user
---

## ウェブサイトの選択 {#picker}

登録するウェブサイトを選択できます。それは電子メールプロバイダーを選択したり、またはWorld of WarcraftのRealmにおいて新しいキャラクターを選択したりするようなものです。登録したウェブサイトはあなたのサービスプロバイダーとなり、あなたのアカウント、あなたのプロフィール、そしてあなたのホームフィードを管理します。

{{< hint style="info" >}}
[joinmastodon.org](https://joinmastodon.org/#getting-started)ではカテゴリや言語別に、サーバーの一覧を閲覧できます。
{{< /hint >}}

### ウェブサイトのポリシーの理解 {#tos}

サービスに登録する前に、そのポリシーと利用規約を理解することが重要です。Mastodonのウェブサイトは通常、`/about/more`のページにそのポリシーを掲載しています。そのウェブサイトにログインしていないときには、最初に訪問したページの「もっと詳しく」をクリックするとこのポリシーを見つけられます。

### 登録の様式 {#signup}

Mastodonでは異なる3つの登録様式（自由登録、招待、承認）のいずれかを、ウェブサイトの管理者が設定できます。

#### 自由登録 {#open}

一部のウェブサイトではすぐに登録できるでしょう。その場合にはユーザー名とメールアドレス、そしてパスワードを単に記入するだけです。その後、自分のアカウントを用いて始められます。

#### サーバーへの招待 {#invite}

一部のウェブサイトでは登録欄を無効にしています。その代わり、登録のための招待リンクを必要とします。この招待リンクを作ってもらい共有してもらいます。

#### 承認を基にした登録 {#approval}

一部のウェブサイトでは登録欄がありますが、それだけでなく、そのウェブサイトに参加したい理由に言及するために追加の記述欄があり，その記入が求められます。その内容を送信した後、ウェブサイトを使えるようになるには、あなたのアカウントがモデレーターによって承認されなければいけません。

## あなたのユーザー名と、あなたのドメイン {#address}

Mastodonのユーザー名は、実際には2つの部分で構成されています。

* ローカルのユーザー名。たとえば、`alice`です。
* そしてウェブサイトのドメイン。たとえば、`example.com`です。

ちょうどメールアドレスと同じです。Mastodonでは利便性のために、同じサーバーにいるユーザーのアドレスを指定するときにはドメインの部分を省略できます。しかし、自分のユーザー名を他のユーザーに共有するときはドメインを含める必要があります。そうしないとあなたを簡単に見つけてもらえなくなることに注意してください。

|  |  |
| :--- | :--- |
| Mastodonの @alice です！ | 間違い |
| Mastodonの @alice@example.com です！ | 正しい |
| Mastodonの https://example.com/@alice です！ | 正しい |

Mastodonの検索欄では、上記のようにアドレス形式、またはユーザーのプロフィールへのリンクを用いてそのユーザーを検索できるでしょう。そのためリンクを好むのであれば、アドレスの代わりにリンクを共有することもできます。

異なるサーバーにおいて、同じユーザー名を登録*できます*。しかし、すべてのサーバーで同じユーザー名を事前予約する方法はありません。電子メールと同じように、`alice@outlook.com`が、`alice@gmail.com`や`alice@yahoo.com`を使っている人と同じであるとは限らないのです。
