---
title: 处理不想要的内容
description: 控制你看到的内容，以获得更舒适的社交媒体体验。
menu:
  docs:
    weight: 50
    parent: user
---

## 过滤嘟文 {#filters}

你可以过滤特定关键字和短语的嘟文，自动隐藏它们。

{{< figure src="/assets/image%20%2848%29.png" caption="含有不同内容不同关键词的已激活的过滤器" >}}

要创建或管理过滤器，请转到设置 &gt; 过滤器。点击“添加新的过滤器”按钮，你可以创建、编辑或删除过滤器。你现有的过滤器将汇总在一个表格中。

{{< figure src="/assets/image%20%2814%29.png" caption="可以为筛选器设置到期日期、过滤位置、是否服务器端删除而非隐藏、是否过滤整个词条" >}}

过滤器有以下设置：

### 关键词 {#filter-phrase}

这是将被匹配的字符串，用于在嘟文的任意内容（包括CW，媒体描述和投票选项）中搜索该关键字。

### 失效时间 {#filter-expire}

（可选）仅在有限的时间内应用过滤器。过期的过滤器不会自动删除，但可以通过设置新的过期日期（或将其更改回“永不过期”）来重新激活。

### 过滤器场景 {#filter-context}

选择应用过滤器的场景：

* 主页时间轴 = 含有关键词的嘟文将从你的主页时间轴中删除
* 通知 = 不会显示含有关键词的通知
* 公共时间轴 = 含有关键词嘟文不会显示在本站/跨站公共时间轴中
* 对话 = 含有关键词的嘟文将不会显示在对话、嘟文详情页

### 丢弃而非隐藏 {#filter-drop}

过滤通常是在客户端进行的，因此禁用过滤器将使过滤后的嘟文再次可见。但是，如果启用“丢弃而不是隐藏”，则任何匹配嘟文将完全消失，并且永远不会出现在你的主页时间轴或通知中。

### 整个词条 {#filter-whole}

过滤器通常会匹配任何状态下的关键词字符，无论它们是否位于单词中间。当启用“整个词条”后，只有当关键字前后是空格或其他非字母数字字符时，该关键词才会被过滤。

## 用户级操作 {#blocking-and-muting}

{{< figure src="/assets/image%20%2824%29.png" caption="用户下拉菜单提供了多种操作" >}}

### 隐藏转嘟 {#hide-boosts}

如果你隐藏了某人的转嘟，你将不会在你的主页上看到他们的转嘟。这个选项只出现在你当前关注的用户身上。

### 隐藏 {#mute}

{{< figure src="/assets/image%20%2852%29.png" caption="图为被隐藏的帐户" >}}

隐藏某一账号时，你可以选择是否将其通知一并隐藏。隐藏用户，而不隐藏通知时，会将该账号从用户界面中隐藏：

* 你不会在你的主页中看到该账号。
* 你不会看到其他人转嘟的该账号的嘟文。
* 你不会看到其他人提及这个账号。
* 你不会在公共时间轴中看到该账号。

如果你选择了同时隐藏通知，你还将不会收到来自该账号的通知。

用户不会知道他们已经被其他用户隐藏。

### 屏蔽 {#block}

{{< figure src="/assets/image%20%2836%29.png" caption="图为被屏蔽的帐户" >}}

屏蔽会将账号从用户界面中隐藏。

* 你不会在你的主页中看到该账号。
* 你不会看到其他人转嘟的该账号的嘟文。
* 你不会看到其他人提及这个账号。
* 你不会在公共时间轴中看到该账号。
* 你不会收到来自该账号的通知。

此外，在被屏蔽的账号一方，

* 被屏蔽账号会被强制取消对你的关注。
* 被屏蔽账号不能关注你。
* 被屏蔽账号不能看到别人对你的转嘟。
* 被屏蔽账号不能在公共时间轴中看到你。

如果你和被屏蔽的账号在同一服务器上，被屏蔽的用户将无法在登录时查看你的个人资料页。

### 屏蔽整个域名 {#hide-domain}

![](/assets/image%20%2861%29.png)

如果你屏蔽了整个域名：

* 你将无法在公共时间轴上看到来自该域名的嘟文。
* 你将不会在主页看到其他人转发来自该域名的嘟文。
* 你将不会收到来自该域名的通知。
* 你将失去该域名上的所有关注者。

## 向管理员报告有问题的内容 {#report}

{{< figure src="/assets/image%20%283%29.png" caption="报告模块允许选择被报告嘟文、添加注释和是否转发报告" >}}

如果你看到有违反站点规则的嘟文或用户，你可以向站点管理员报告该用户。点击用户下拉菜单或嘟文的下拉菜单上的“举报”选项将打开报告模块。在这里，你可以（并且应该）添加一个关于你为什么要举报这个帐号的注释。你可以附加某些有问题的嘟文，以了解你为什么要报告该账号，如果他们的行为违反了他们所在Mastodon站点的规则，你还可以选择将报告转发至他们所在Mastodon站点的管理员。

{{< translation-status-zh-cn raw_title="Dealing with unwanted content" raw_link="/user/moderating/" last_tranlation_time="2020-05-03" raw_commit="ad1ef20f171c9f61439f32168987b0b4f9abd74b">}}
