---
title: 使用社交功能
description: 关注并和来自任意服务器的任何人交流
menu:
  docs:
    weight: 40
    parent: user
---

## 浏览公共时间轴 {#timelines}

{{< figure src="/assets/image%20%2830%29.png" caption="公共时间轴上的嘟文" >}}

为了让你发现潜在的有趣内容，Mastodon提供了一种浏览所有公共嘟文的方法。当然，所有Mastodon服务器之间并不会全局共享嘟文，因此无法同时浏览*所有*公共嘟文。当你浏览**跨站公共时间轴**时，你将看到你所在的服务器所知道的所有公共嘟文。你的服务器可以通过多种方式发现嘟文，但其中大部分是来自你服务器上的其他用户关注的人。

这里有一种方法筛选跨站时间轴，以仅查看由你所在服务器发出的公共嘟文：**本站时间轴**。请注意这里的本地(local)仅是指服务器，而不是地理位置。

## 与其他人的嘟文互动 {#actions}

{{< figure src="/assets/image%20%2821%29.png" caption="可以通过单击时间轴中的嘟文来加载扩展视图" >}}

你可以直接从时间轴对嘟文执行快速操作，或者你可以单击一条嘟文加载扩展视图，显示额外信息，包括：完整的时间戳、交互计数和嘟文回复（如果有的话）。在每一条嘟文上，你可以执行以下操作:

* **回复** 点击箭头图标回复嘟文。你的嘟文会在你回复的嘟文下面出现。
* **转嘟** 点击循环箭头图标转发嘟文。这篇嘟文将在你的个人资料中出现。
* **喜欢** 点击星星图标喜欢嘟文。这篇嘟文将被添加到你的喜欢列表中，原嘟文作者将会受到这条嘟文被喜欢的通知。
* **添加到书签** 点击缎带图标为嘟文添加书签。这篇嘟文将被添加到你的私有书签列表中，而不会产生通知。
* 点击省略号图标展开**更多选项菜单**。

## 通知 {#notifications}

{{< figure src="/assets/image%20%2850%29.png" caption="通知栏" >}}

当其他人与你或你的嘟文交互时，你将根据事件的类型收到通知消息。在通知栏里，你可以查看所有通知消息，或过滤特定类型的通知消息：

* **提及：** 当有人在嘟文中提到你时会收到通知消息。
* **喜欢：** 当有人喜欢了你的嘟文时会收到通知消息。
* **转嘟：** 当有人转发了你的嘟文时会收到通知消息。
* **投票：** 当你已经投票或创建的投票已经结束时会收到通知消息。
* **关注：** 当有人关注你时会收到通知消息。

## 关注用户 {#follow}

![](/assets/image%20%2811%29.png)

只要你在应用程序界面（例如：Web界面、手机APP）中遇到的用户，只需要点击“关注”，该用户是否在你所在的服务器上并不会带来用户体验上的差异。

然而，如果你在不同的服务器上看到某人的公开资料，就会遇到一个障碍：该服务器将你视为另一个匿名访问者。不要担心！你可以简单地复制该用户资料的URL，或其中一个嘟文的URL，然后将该URL粘贴到你所在Mastodon的搜索栏中。

如果你正在访问另一个Mastodon站点的公开页面，请参阅[站外使用Mastodon](../external#interact)。

## 搜索 {#search}

{{< figure src="/assets/image%20%2819%29.png" caption="搜索功能可以从侧栏中访问" >}}

Mastodon的基本搜索允许登录用户查找包含特定话题标签的嘟文，如果他们知道URL或地址的话，可以直接加载用户或嘟文。搜索某个关键词将显示包括该关键词的用户以及话题标签。

{{< figure src="/assets/image%20%2839%29.png" caption="直接通过URL加载嘟文" >}}

{{< figure src="/assets/image%20%2823%29.png" caption="搜索“cats”时返回包含“cats”的帐户" >}}

{{< figure src="/assets/image%20%2827%29.png" caption="搜索“cats”时返回话题标签" >}}

管理员可以选择安装全文搜索功能。Mastodon的全文搜索允许登录用户从他们自己的嘟文、他们喜欢的嘟文、他们的书签和他们被提及的嘟文中查找相应结果。为了减少人们通过搜索争议相关关键词来找人撕逼的滥用行为，Mastodon有意禁用了在全数据库搜索任意关键词的功能。

全文搜索支持以下操作符：

* **"精确短语"** 将尝试查找包含在一对英文双引号 `"` 内的关键词。Mastodon将只显示完全匹配关键词的搜索结果。例如搜索 `"look at my cluckers"` 将精确查找到包含 `look at my cluckers` 这个短语的嘟文。
* **-排除** 在某个关键词前面加上减号 `-`，可以排除这个关键词。比如搜索 `animals -cats` 就可以搜索到所有不包括cat但包括animals的嘟文。。
* **+包含** 在关键词前面加上加号 `+`，就可以要求搜索结果必须包含的这个关键词。比如搜索 `cat +dog` 就可以搜到同时包含cat和dog的嘟文。

中文译者的话：Mastodon项目并没有对中文搜索进行相应的分词优化，因此在搜索中文时，中文短语将会被拆分成单字，致使最终搜索结果含有大量无关结果。例如搜索 `中文搜索好用吗`，默认情况下会被拆分成 `中` `文` `搜` `索` `好` `用` `吗`， 而不是被拆分成 `中文搜索` `中文` `搜索` `好用` `吗`。如果你所在实例没有优化中文搜索，**搜索中文词语时，请使用双引号将所需搜索的中文词语包裹起来**。

## 私信 {#direct}

{{< figure src="/assets/image%20%2812%29.png" caption="私信对话列表" >}}

在Mastodon中，私信就是选择了“私信”可见范围的嘟文。在私信对话中，后续的嘟文可以设置不同的可见范围。私信列中展示了一个包含所有私信对话的列表。点击某个对话将加载相关的嘟文。

{{< figure src="/assets/image%20%2857%29.png" caption="私信对话" >}}

## 列表时间轴 {#lists}

列表是主页时间轴的子集。你可以创建一个列表，给它起一个名称，并将你所关注的用户添加到该列表中。

![](/assets/image%20%2828%29.png)

打开一个列表将加载该列表的时间轴。列表时间轴只包含该列表成员的嘟文，以及对你或对其他列表成员的回复。

{{< figure src="/assets/image%20%285%29.png" caption="一个列表时间轴" >}}

{{< translation-status-zh-cn raw_title="Using the network features" raw_link="/user/network/" last_tranlation_time="2020-05-03" raw_commit="ad1ef20f171c9f61439f32168987b0b4f9abd74b">}}
