---
title: 发布嘟文
description: 分享你的想法，从未如此便捷。
menu:
  docs:
    weight: 30
    parent: user
---

{{< figure src="/assets/image%20%2859%29.png" caption="启用CW后的撰写表单" >}}

## 文本 {#text}

每条嘟文的主体可由文本组成。默认的字符限制为500个字符。

### 链接 {#links}

{{< figure src="/assets/image%20%287%29.png" caption="链接必须以 http(s):// 开头，无论长度如何，都将被视为23个字符" >}}

如果你的嘟文中有链接，它们必须以 `http://` 或 `https://` 开头。所有的链接无论实际上有多长，都将被记作23个字符。因此没有使用短链接来节省字符的必要。事实上，使用短链接是极其不被推荐的。

### 提及 {#mentions}

{{< figure src="/assets/image%20%2820%29.png" caption="键入@后会自动推荐你可能要提及的本站或跨站用户" >}}

你可以通过输入用户的完整地址来提及（@）他们，例如`@alice@example.com`。请注意，`@word`的任何用法都将被解释为提及本地用户名为`word`的用户（如果该用户存在于本站的话）。只有用户名部分才会受到字数限制，域名不被计算在字数内。

### 话题标签 {#hashtags}

{{< figure src="/assets/image%20%2825%29.png" caption="话题标签会根据使用频率自动被系统推荐" >}}

你可以使用 `#话题标签` 使任何搜索该话题标签的人都可以发现你的嘟文。标签可以包含字母数字字符和下划线，但不能只包含数字。

### 自定义emoji {#emoji}

{{< figure src="/assets/image%20%2838%29.png" caption="一组自定义表情符号存在于选择器中" >}}

每个服务器都提供了一套你可以使用的自定义表情符号。你可以使用表情符号的短代码，如`:thounking:`，或者点击撰写框中的表情符号图标，浏览“自定义”类别。你也可以使用unicode标准表情符号。

## 附加内容 {#attachments}

你可以将媒体文件或投票附加到你的嘟文。

### 媒体文件 {#media}

{{< figure src="/assets/image%20%2844%29.png" caption="带有删除、编辑、标记为敏感媒体选项的附加媒体文件缩略图" >}}

点击回形针将文件附加到你的嘟文上。你可以附上以下文件：

* **图像** (PNG, JPG, GIF)：**最大8MB**。图像将被压缩至160万像素（足够一张1280x1280px的图像）。最多可以附加4张图片。
  * **GIF动画**：GIF动画会转换成无声的mp4，就像 Imgur/Gfycat (**GIFV**) 一样。你也可以上传无声的MP4和WebM，它们将被以同样方式处理。
* **视频** (MP4, M4V, MOV, WebM)：**最大40MB**。视频将被转换为最大比特率1300kbps，最大帧率60fps的H.264 MP4。
* **音频** (MP3, OGG, WAV, FLAC, OPUS, AAC, M4A, 3GP)：**最大40MB**。音频将使用V2 VBR（大约192kbps）转码成MP3。

#### 编辑媒体 {#edit}

{{< figure src="/assets/image%20%2826%29.png" caption="编辑媒体以添加媒体描述，或选择预览缩略图的焦点" >}}

通过点击附件缩略图上的“编辑”链接，你可以加载模块，这个模块允许你添加媒体描述或改变焦点。虽然是可选的，但还是建议添加媒体描述来简单地描述媒体中包含的内容。当媒体因任何原因无法加载时，或当视觉障碍人士使用屏幕阅读器和其他辅助技术访问时，这些描述将被显示出来。设置焦点也是可选的，但是当未以16：9的纵横比显示预览缩略图时，可以使预览缩略图看起来更好。

### 投票 {#polls}

{{< figure src="/assets/image%20%2841%29.png" caption="一个含有2个单选选项，过期时间为1天的投票" >}}

单击条型图图标将投票附加到你的嘟文。

* 你可以设置最多4个选项，每个选项最多可以有25个字符。
* 默认为单选选择。单击圆型单选按钮，投票将切换为多项选择。
* 投票过期时间可以设置为5分钟、30分钟、1小时、6小时、1天、3天或7天。

## 嘟文可见范围 {#privacy}

| 可见范围 | 公共时间轴 | 永久链接 | 个人资料页视图 | 主页时间轴 |
| :--- | :--- | :--- | :--- | :--- |
| 公开 | 可见 | 有 | 可见 | 可见 |
| 不公开 | 不可见 | 有 | 可见 | 可见 |
| 仅关注者 | 不可见 | 登录到同一站点 | 应用内或登录可见 | 可见 |
| 私信 | 不可见 | 登录并被提到后 | 应用内或登录可见 | 不可见 |

嘟文可以发布四个不同的隐私级别：

### 公开 {#public}

这是默认的选项。

* 任何人都可以通过访问永久链接看到你的嘟文，而不需要登录。
* 你的嘟文将出现在应用程序内的公共(Public)时间轴上。
* 你的关注者将在他们的主页(Home)上接收到这条嘟文，任何被提及的人都将在通知中接收到这条嘟文。
* 你的嘟文可以被转发到其他人的主页中。

### 不公开 {#unlisted}

除了以下不同以外，与公开可见范围一致：

* 你的嘟文将不会出现在Mastodon的公共时间轴。

### 仅关注者 {#private}

这是限制性更高的一种选项。

* 需要与关注你或被提及的人登录同一个站点，才能通过永久链接查看你的嘟文。
* 你的嘟文将不会出现在应用程序内，除非关注者浏览你的个人资料，或者你提及了那些人。
* 你的关注者将在他们的主页上接收这条嘟文，任何被提及的人也将在通知中接收这条嘟文。
* 你的嘟文不能被除你自己以外的人转发。

{{< hint style="warning" >}}
如果你要有效地发布私有（仅限关注者可见）嘟文，你必须**锁定你的帐户（锁嘟）**，否则，任何人都可以关注你，然后查看以前的嘟文。
{{< /hint >}}

{{< hint style="danger" >}}
注意，Mastodon上的隐私设置是应用在每条嘟文上的，而不是应用在整个帐户上的，并且**你无法把已经发布的公开嘟文再设置为私有嘟文**。
{{< /hint >}}

### 私信 {#direct}

仅将你的嘟文发送给被提及的用户。

* 需要与被提及的人登录同一个站点，才能通过永久链接查看你的嘟文。
* 你的嘟文不会出现在应用内，除非你提及的那些人。
* 任何被你提及的人都会接收这条嘟文，但是嘟文不会出现在主页时间轴上。
* 你的嘟文不能被转发。

{{< hint style="warning" >}}
**不要通过私信分享敏感信息。** 与Signal或Wire不同，Mastodon不是一个加密消息应用程序，发送方和接收方服务器的数据库管理员可以访问到相应文本。使用私信功能时要像使用论坛私信、Discord私信和Twitter私信一样小心。
{{< /hint >}}

## 内容警告（CW）和敏感内容 {#cw}

{{< figure src="/assets/image.png" caption="在CW中被标记为敏感内容的嘟文" >}}

Mastodon提供了一个你可能在其他社交网络上没有看到的功能，那就是在你的嘟文上附加一个内容警告。当包含内容警告时，嘟文内容默认会被折叠，只显示你设置的CW的警告标题，而不直接展开显示嘟文正文，起到了类似于电子邮件的主题栏或“阅读更多”的内容中断作用。这可以用于为你的嘟文添加摘要或主题、折叠长嘟文，或者为嘟文主体提供上下文。

当附加媒体时，将出现一个复选框，允许你“标记媒体为敏感内容”。默认情况下，这将整个媒体隐藏在一个被模糊的缩略图后面。在一个嘟文中添加一个CW会自动将这个嘟文的媒体标记为敏感。

{{< translation-status-zh-cn raw_title="Posting toots" raw_link="/user/posting/" last_tranlation_time="2020-05-02" raw_commit="ad1ef20f171c9f61439f32168987b0b4f9abd74b">}}
