---
title: 设置你的首选项
description: 以你喜欢的方式自定义Mastodon。
menu:
  docs:
    weight: 70
    parent: user
---

## 自定义用户界面外观 {#interface}

### 选择一个站点主题 {#theme}

Mastodon默认为深色主题，但可以选择浅色或高对比度主题。

{{< figure src="/assets/image%20%2834%29.png" caption="Mastodon浅色主题" >}}

### 选择你的布局 {#layout}

Mastodon默认为简单的单列布局，左侧有一个撰写框，右侧有一个列切换器。你可以选择启用高级网页界面，该界面允许你同时查看和固定多个列。

{{< figure src="/assets/image%20%2832%29.png" caption="高级 web 界面" >}}

在这两个界面中，当有新的嘟文时，更新会自动加载。你可以启用“慢速模式”在栏目顶部显示一个横幅，显示新嘟文数量，只有当你点击横幅时，时间轴才会在点击后更新。

出于无障碍性的原因，GIF动画的自动播放默认是禁用的。如果你想看动图，可以启用自动播放 GIF 动画。你也可以在整个界面中减少动画的运动。

趋势标签在高级web界面中的“开始使用”栏下面，或者简单web界面中的列切换器下面（只有当有足够的空间显示它们时才会显示）。

### 确认对话框 {#confirm}

你可以选择在执行某些操作前要求确认。目前，可在执行以下操作前设置确认：

* 取消关注
* 转嘟
* 删除

### 敏感内容 {#sensitive}

默认情况下，任何标记为敏感的媒体都会被隐藏在可点击的覆盖层后。你也可以选择始终显示/隐藏在此覆盖层后面的媒体，无论其是否被标记为敏感媒体。

隐藏和未加载的媒体使用由BlurHash算法提供的彩色渐变，它使用图像的颜色，但模糊了细节。这些渐变可以被禁用。

{{< figure src="/assets/image%20%286%29.png" caption="Blurhash缩略图示例" >}}

带有内容警告的嘟文默认是折叠的，但你可以选择总是展开警告嘟文，以便显示完整的嘟文。

## 控制你的通知 {#notifications}

### 发送电子邮件 {#email}

你可以根据你在Mastodon中收到的通知类型选择接收电子邮件通知。以下的通知类型可以启用。

* 关注
* 关注请求
* 转嘟
* 喜欢
* 提及

你还可以启用摘要邮件，这将为你提供长期不活动期间收到的通知概览。

### 隐藏特定通知 {#hide-notifications}

你可以选择不接收来自你不关注的人，或者不关注你的人的通知。这将导致回复、收藏、喜欢、转嘟和其他互动不会显示给你。

你也可以选择不接收来自你不关注的人的私信消息。

## 杂项选项 {#misc}

如果你选择`禁止搜索引擎建立索引`，你的公开资料和嘟文页面上将会被添加 `noindex` 标签。

你可以选择`隐藏你的社交网络`，这将使你关注的人和关注你的人仅你自己可见。

{{< figure src="/assets/image%20%284%29.png" caption="选择隐藏社交网络后的个人资料" >}}

如果你想看到被多次转嘟的嘟文重新插入到你时间流的最上方，你可以禁用`在时间轴中合并转嘟`。

### 发布默认值 {#posting}

嘟文默认可见范围为公开。你可以将新嘟文的默认可见范围改为不列出或仅关注者。关于嘟文可见范围的解释，请参阅 [发布嘟文 &gt; 嘟文可见范围](../posting#privacy)。

默认情况下，你的嘟文的语言会被自动检测，但这种检测可能不准确。如果你主要或专门用某种语言发帖，最好在`发布语言`设置该语言。

如果你经常发布敏感媒体，你可以选择`总是将我发送的媒体文件标记为敏感内容`。

### 公共时间轴的语言过滤 {#languages}

你可以选择在浏览公共时间轴时只显示特定语言的嘟文。但是，请注意，语言检测可能非常不精确，因此你可能仍然会看到一些使用被禁用语言的嘟文，或者错过一些使用已启用语言的嘟文。

{{< translation-status-zh-cn raw_title="Set your preferences" raw_link="/user/preferences/" last_tranlation_time="2020-05-03" raw_commit="ad1ef20f171c9f61439f32168987b0b4f9abd74b">}}
