---
title: 创建一个帐户
description: 找寻属于你的完美社区。
menu:
  docs:
    weight: 10
    parent: user
---

## 选择一个站点 {#picker}

你必须选择一个Mastodon站点进行注册，就好比你需要选择一个电子邮件提供商，或者像是为你的魔兽世界新角色选择一个地区（服务器）一样。该站点将是你的服务提供方，托管你的帐户、个人资料及个人主页信息流。

{{< hint style="info" >}}
你可以 [在 joinmastodon.org 上按类别和语言浏览Mastodon站点列表](https://joinmastodon.org/#getting-started).
{{< /hint >}}

### 了解站点的政策 {#tos}

在你注册之前，了解该Mastodon站点的政策和使用条款是很重要的。Mastodon站点通常会在`/about/more`页面上列出它的政策。你可以在未登录的状态下，点击登录页面上的“了解更多”链接来找到政策和使用条款信息。

### 站点注册模式 {#signup}

Mastodon软件允许站点管理员从三种站点注册模式中选择一种：开放注册、邀请制和审核制。

#### 开放注册 {#open}

有些站点可能允许你立即注册。只需使用你的用户名、电子邮件地址和密码填写注册信息，就可以开始使用你的帐户了。

#### 邀请制 {#invite}

有些站点禁用注册表单，而是要求生成并分享邀请链接以允许人们注册。

#### 审核制 {#approval}

有些站点允许你填写注册表单，但是会有一个附加的表单条目来说明你为什么想要加入那个站点。提交了表单之后，你的帐户必须得到管理员的批准才能开始使用。

## 你的用户名和域名 {#address}

Mastodon的用户名由两部分组成：

* 本站用户名，比如 `alice`
* Mastodon站点的域名，比如 `example.com`

就像电子邮件地址一样，为了方便起见，Mastodon允许你在向与你相同的服务器上的人发送地址时跳过第二部分，但是你必须记住：在与他人分享你的用户名时，应当包含站点的域名，否则他人将不能轻松的找到你。

|  |  |
| :--- | :--- |
| 我是Mastodon上的 @alice ！ | 错误的表述 |
| 我是Mastodon上的 @alice@example.com ！ | 正确的表述 |
| 我是Mastodon上的 https://example.com/@alice ！ | 正确的表述 |

上述两种地址形式（完整用户名、用户主页链接）都可以在Mastodon搜索栏中查找相应的用户，所以你可以根据你的喜好分享。

相同的用户名*可以*在不同的服务器上注册——无法提前声明所有的域名后缀。就像电子邮件一样，你不应期待 `alice@outlook.com` 与 `alice@gmail.com` 或 `alice@yahoo.com` 是同一个人。

{{< translation-status-zh-cn raw_title="Signing up for an account" raw_link="/user/signup/" last_tranlation_time="2020-05-02" raw_commit="ad1ef20f171c9f61439f32168987b0b4f9abd74b">}}
